N = 100;
x = linspace(0,1,N);
y = linspace(0,1,N);
[X, Y] = meshgrid(x,y);
Z = sin(pi*X).*sin(pi*Y);

figure(1)
surf(X,Y,Z)
hold on
x = linspace(1,2,N);
y = linspace(0,1,N);
[X, Y] = meshgrid(x,y);
Z = -1.5*sin(pi*X).*sin(pi*Y);
surf(X,Y,Z)
colormap hot
shading interp
set(gca, 'xtick', 1:2);
set(gca, 'ytick', 0:1);
set(gca, 'ztick', -1:1);
%set(gca, 'ztick', -1:1, "fontsize", 24);
view([10, 30])
%zticks([-8 0 8])
hold off

%saveas(gcf,'borri.png')
